[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPCustomHashTable.Delete

Delete a key from the hash list.

## Declaration

Source position: contnrs.pp line 388

`public procedure TFPCustomHashTable.Delete(`
`const aKey: string`
`); virtual;`

## Arguments

`aKey` |  | Key to delete from the list

## Description

Delete deletes all keys with value AKey from the hash table. It does not free the data associated with key. If AKey is not in the list, nothing is removed.

## Errors

None.

## See also

TFPCustomHashTable.Find |  | Search for an item with a certain key value.